Package com.mapd.thrift.server

## Class MapD.connect_args

- java.lang.Object
- - com.mapd.thrift.server.MapD.connect_args

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<MapD.connect_args>`, `org.apache.thrift.TBase<MapD.connect_args,​MapD.connect_args._Fields>`, `org.apache.thrift.TSerializable`

Enclosing class:
  MapD

    public static class MapD.connect_args
    extends Object
    implements org.apache.thrift.TBase<MapD.connect_args,​MapD.connect_args._Fields>, Serializable, Cloneable, Comparable<MapD.connect_args>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `MapD.connect_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`String` `dbname`
`static Map<MapD.connect_args._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`String` `passwd`
`String` `user`

### Constructor Summary

Constructors
`connect_args()`
`connect_args​(MapD.connect_args other)` Performs a deep copy on other.
`connect_args​(String user, String passwd, String dbname)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(MapD.connect_args other)`
`MapD.connect_args` `deepCopy()`
`boolean` `equals​(MapD.connect_args that)`
`boolean` `equals​(Object that)`
`MapD.connect_args._Fields` `fieldForId​(int fieldId)`
`String` `getDbname()`
`Object` `getFieldValue​(MapD.connect_args._Fields field)`
`String` `getPasswd()`
`String` `getUser()`
`int` `hashCode()`
`boolean` `isSet​(MapD.connect_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetDbname()` Returns true if field dbname is set (has been assigned a value) and false otherwise
`boolean` `isSetPasswd()` Returns true if field passwd is set (has been assigned a value) and false otherwise
`boolean` `isSetUser()` Returns true if field user is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`MapD.connect_args` `setDbname​(String dbname)`
`void` `setDbnameIsSet​(boolean value)`
`void` `setFieldValue​(MapD.connect_args._Fields field, Object value)`
`MapD.connect_args` `setPasswd​(String passwd)`
`void` `setPasswdIsSet​(boolean value)`
`MapD.connect_args` `setUser​(String user)`
`void` `setUserIsSet​(boolean value)`
`String` `toString()`
`void` `unsetDbname()`
`void` `unsetPasswd()`
`void` `unsetUser()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### user

    public String user

#### passwd

    public String passwd

#### dbname

    public String dbname

#### metaDataMap

    public static final Map<MapD.connect_args._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### connect_args

    public connect_args()

#### connect_args

    public connect_args​(String user,
                        String passwd,
                        String dbname)

#### connect_args

    public connect_args​(MapD.connect_args other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public MapD.connect_args deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<MapD.connect_args,​MapD.connect_args._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<MapD.connect_args,​MapD.connect_args._Fields>`

#### getUser

    public String getUser()

#### setUser

    public MapD.connect_args setUser​(String user)

#### unsetUser

    public void unsetUser()

#### isSetUser

    public boolean isSetUser()

Returns true if field user is set (has been assigned a value) and false otherwise

#### setUserIsSet

    public void setUserIsSet​(boolean value)

#### getPasswd

    public String getPasswd()

#### setPasswd

    public MapD.connect_args setPasswd​(String passwd)

#### unsetPasswd

    public void unsetPasswd()

#### isSetPasswd

    public boolean isSetPasswd()

Returns true if field passwd is set (has been assigned a value) and false otherwise

#### setPasswdIsSet

    public void setPasswdIsSet​(boolean value)

#### getDbname

    public String getDbname()

#### setDbname

    public MapD.connect_args setDbname​(String dbname)

#### unsetDbname

    public void unsetDbname()

#### isSetDbname

    public boolean isSetDbname()

Returns true if field dbname is set (has been assigned a value) and false otherwise

#### setDbnameIsSet

    public void setDbnameIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(MapD.connect_args._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<MapD.connect_args,​MapD.connect_args._Fields>`

#### getFieldValue

    public Object getFieldValue​(MapD.connect_args._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<MapD.connect_args,​MapD.connect_args._Fields>`

#### isSet

    public boolean isSet​(MapD.connect_args._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<MapD.connect_args,​MapD.connect_args._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(MapD.connect_args that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(MapD.connect_args other)

Specified by:
  `compareTo` in interface `Comparable<MapD.connect_args>`

#### fieldForId

    public MapD.connect_args._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<MapD.connect_args,​MapD.connect_args._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`